/* Top10Filter.java

	Purpose:
		
	Description:
		
	History:
		May 17, 2016 3:15:43 PM, Created by henrichen

	Copyright (C) 2016 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.poi.ss.usermodel;

/**
 * @author henri
 * @since 3.9.11
 */
public interface Top10Filter {
	boolean isTop(); // whether pick top10(true) or bottom10(false)
	boolean isPercent(); //whether pick percent(true) or item(false)
	double getValue(); // number(count) of items
	double getFilterValue(); // cell content value(inclusive) that filtering
	
	void setProperties(boolean isTop, double value, boolean isPercent, double filterValue);
}
